Skip to main content
GET
/
merlin
/
history
Get import history
curl --request GET \
  --url https://api.royalti.io/merlin/history \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.royalti.io/merlin/history"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.royalti.io/merlin/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "batchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "filePath": "<string>",
      "fileSize": 123,
      "dspName": "<string>",
      "accountingPeriod": "<string>",
      "confidenceScore": 123,
      "rowsImported": 123,
      "importedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}
{
"status": "error",
"message": "Unauthorized"
}
This endpoint requires authentication. Include your Bearer token in the Authorization header.

Description

Authorization:
  • Required role: user or higher

Code Examples

const response = await fetch('https://api.royalti.io/merlin/history', {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${token}`,
  },
});

const data = await response.json();
console.log(data);
import requests

response = requests.get(
  'https://api.royalti.io/merlin/history',
  headers={
    'Authorization': f'Bearer {token}'
  },
)

data = response.json()
print(data)
curl -X GET https://api.royalti.io/merlin/history \
  -H "Authorization: Bearer YOUR_TOKEN" \

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"

Query Parameters

status
enum<string>
Available options:
completed,
failed
period
string
dsp
string
offset
integer
default:0
limit
integer
default:50

Response

Import history

success
boolean
data
object[]
total
integer